Queue personalization request
curl --request POST \
--url https://api.example.com/api/v1/personalize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lead_data": {
"data": {}
},
"sender_data": {
"data": {}
}
}
'import requests
url = "https://api.example.com/api/v1/personalize"
payload = {
"lead_data": { "data": {} },
"sender_data": { "data": {} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({lead_data: {data: {}}, sender_data: {data: {}}})
};
fetch('https://api.example.com/api/v1/personalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"status": "<string>",
"message": "<string>",
"estimated_time_seconds": 2,
"credits_required": 123,
"priority": "normal"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Personalization
Queue personalization request
Queue a personalization request for background processing with enhanced validation and monitoring
POST
/
api
/
v1
/
personalize
Queue personalization request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Enhanced response model for personalization job requests.
Unique job identifier
Job status
Pattern:
^(queued|processing|completed|failed)$Status message
Estimated processing time in seconds
Required range:
x >= 1Credits required for this operation
Job priority level
⌘I